<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.caching (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.caching (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/buildinit/tasks/package-summary.html">Prev Package</a></li>
<li><a href="../../../org/gradle/caching/configuration/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/caching/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.gradle.caching</h1>
<div class="docSummary">
<div class="block">Classes for build caches.</div>
</div>
<p>See:&nbsp;<a href="#package_description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/gradle/caching/BuildCacheEntryReader.html" title="interface in org.gradle.caching">BuildCacheEntryReader</a></td>
<td class="colLast">
<div class="block">A reader for build cache entries.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/gradle/caching/BuildCacheEntryWriter.html" title="interface in org.gradle.caching">BuildCacheEntryWriter</a></td>
<td class="colLast">
<div class="block">Writer to serialize a build cache entry.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/gradle/caching/BuildCacheKey.html" title="interface in org.gradle.caching">BuildCacheKey</a></td>
<td class="colLast">
<div class="block">Cache key identifying an entry in the build cache.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/gradle/caching/BuildCacheService.html" title="interface in org.gradle.caching">BuildCacheService</a></td>
<td class="colLast">
<div class="block">Protocol interface to be implemented by a client to a build cache backend.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/gradle/caching/BuildCacheServiceFactory.html" title="interface in org.gradle.caching">BuildCacheServiceFactory</a>&lt;T extends <a href="../../../org/gradle/caching/configuration/BuildCache.html" title="interface in org.gradle.caching.configuration">BuildCache</a>&gt;</td>
<td class="colLast">
<div class="block">Factory interface to be provided by build cache service implementations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/gradle/caching/BuildCacheServiceFactory.Describer.html" title="interface in org.gradle.caching">BuildCacheServiceFactory.Describer</a></td>
<td class="colLast">
<div class="block">Builder-style object that allows build cache service factories to describe the cache service.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/gradle/caching/MapBasedBuildCacheService.html" title="class in org.gradle.caching">MapBasedBuildCacheService</a></td>
<td class="colLast">
<div class="block">Simple build cache implementation that delegates to a <a href="https://docs.oracle.com/javase/7/docs/api/java/util/concurrent/ConcurrentMap.html?is-external=true" title="class or interface in java.util.concurrent"><code>ConcurrentMap</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/gradle/caching/BuildCacheException.html" title="class in org.gradle.caching">BuildCacheException</a></td>
<td class="colLast">
<div class="block"><code>BuildCacheException</code> is the base class of all exceptions thrown by a <a href="../../../org/gradle/caching/BuildCacheService.html" title="interface in org.gradle.caching"><code>BuildCacheService</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package_description">
<!--   -->
</a>
<h2 title="Package org.gradle.caching Description">Package org.gradle.caching Description</h2>
<div class="block">Classes for build caches.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.3</dd></dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/buildinit/tasks/package-summary.html">Prev Package</a></li>
<li><a href="../../../org/gradle/caching/configuration/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/caching/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
